using System;
using System.Collections.Generic;
using System.Text;

namespace TestScript1
{
    public class TestScript : GTA.Script
    {
        public TestScript() {
            BindKey(System.Windows.Forms.Keys.O, new GTA.KeyPressDelegate(SpawnVago));
            BindKey(System.Windows.Forms.Keys.I, new GTA.KeyPressDelegate(ShowText));
            BindConsoleCommand("kill", new GTA.ConsoleCommandDelegate(Kill), this);
            BindConsoleCommand("spawn groves", new GTA.ConsoleCommandDelegate(NewGroves), this);
        }

        public void Kill(string[] args)
        {
            PlayerObject.Character.Health = 0;

            GTA.Console.WriteLine("Killed the player!");
        }

        public void NewGroves(string[] args)
        {
            GTA.Char ped = GTA.World.CreateChar(GTA.PedID.FAM1, PlayerObject.Character.Position.Around(2), 4);
            ped = GTA.World.CreateChar(GTA.PedID.FAM2, PlayerObject.Character.Position.Around(2), 4);
            ped = GTA.World.CreateChar(GTA.PedID.FAM3, PlayerObject.Character.Position.Around(2), 4);
        }

        public void SpawnVago()
        {
            GTA.Vector3 vector = PlayerObject.Character.Position;
            vector.pY += 1.0f;
            GTA.Char ped = GTA.World.CreateChar(GTA.PedID.LSV2, vector, 4);
        }

        public void ShowText()
        {
            GTA.Game.DisplayTextBox("You pressed I");
        }
    }

}