Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace TestScript1
    Public Class TestScript
        Inherits GTA.Script

        Public Sub TestScript()
            BindKey(System.Windows.Forms.Keys.O, New GTA.KeyPressDelegate(AddressOf SpawnVago))
            BindKey(System.Windows.Forms.Keys.I, New GTA.KeyPressDelegate(AddressOf ShowText))
            BindConsoleCommand("kill", New GTA.ConsoleCommandDelegate(AddressOf Kill), Me)
            BindConsoleCommand("spawn groves", New GTA.ConsoleCommandDelegate(AddressOf NewGroves), Me)
        End Sub

        Public Sub Kill(ByVal args As String())
            PlayerObject.Character.Health = 0

            GTA.Console.WriteLine("Killed the player!")
        End Sub

        Public Sub NewGroves(ByVal args As String())
            Dim ped As GTA.Char = GTA.World.CreateChar(GTA.PedID.FAM1, PlayerObject.Character.Position.Around(2), 4)
            ped = GTA.World.CreateChar(GTA.PedID.FAM2, PlayerObject.Character.Position.Around(2), 4)
            ped = GTA.World.CreateChar(GTA.PedID.FAM3, PlayerObject.Character.Position.Around(2), 4)
        End Sub

        Public Sub SpawnVago()
            Dim vector As GTA.Vector3 = PlayerObject.Character.Position

            vector.pY += 1
            Dim ped As GTA.Char = GTA.World.CreateChar(GTA.PedID.LSV2, vector, 4)
        End Sub

        Public Sub ShowText()
            GTA.Game.DisplayTextBox("You pressed I")
        End Sub
    End Class
End Namespace
